/** Shopify CDN: Minification failed

Line 16:0 Unexpected "{"
Line 16:1 Expected identifier but found "%"
Line 33:0 Unexpected "{"
Line 33:1 Expected identifier but found "%"
Line 34:0 Unexpected "{"
Line 34:1 Expected identifier but found "%"
Line 35:0 Unexpected "{"
Line 35:1 Unexpected "{"
Line 35:3 Expected identifier but found "'cart-draw.css'"
Line 38:0 Unexpected "{"
... and 139 more hidden warnings

**/
{% liquid
assign icon_cart = section.settings.icon_cart
case icon_cart
when 'text'
assign stylecart = 'text-cart d-lg-inline-flex d-none'
assign iconclass = 'text-indicator'
when 'number'
assign stylecart = 'number-cart hide'
assign iconclass = 'text-indicator'
when 'icon-text'
assign stylecart = 'text-icon-cart pr-2'
assign iconclass = 'site-header__cart-indicator'
else
assign stylecart = 'icon__fallback-text'
assign iconclass = 'site-header__cart-indicator'
endcase
%}
{%- assign cartdraw = settings.cartdraw -%}
{%- if cartdraw -%}
{{ 'cart-draw.css' | asset_url | stylesheet_tag }}


{{ 'layout.cart.title' | t }}
{%- if icon_cart == 'icon' or icon_cart == 'icon-text' -%}
{%- render 'icon-cart' -%}
{%- endif -%}
({{ cart.item_count }})





{{ 'layout.cart.title' | t }}
{{ cart.item_count }}






    <div class="js-cart-bottom">
    {%- render 'free-shipping' -%}
    </div>
  </div>
  
  <div class="js-mini-cart-content pt-2"></div>
  {% if settings.e_upsellcart %}
    <div class="drawer-crossell pt-2">
      <div class="drawer-crossell-inner">
      {%- if settings.title_upsell != blank -%}
        <h5 class="text-left mb-4">{{ settings.title_upsell }}</h5>
      {%- endif -%}
      <div class="flex-row d-flex drawer-crossell-product flex-nowrap mb-0">
        {%- for product in settings.product_list limit: 8 -%}
          <div class="drawer-crossell__item">
          {%- render 'product-grid-buywith', product: product -%}
          </div>
        {%- endfor -%}
      </div>
    </div>
     </div>
  {% endif %}
 
  <footer class="mini-cart-footer js-cart-bottom">
      <div class="mini-cart-total font-family-1">
        <div class="d-flex align-items-center mb-3 pb-3 border-bottom block-addon gap-5 ">
          {% assign product_gift = settings.product_gift %}
          {%- if settings.gift_wrapping_enable and product_gift != blank -%}
            <div class="giftwrap block-addon__box">
              <div class="open-gift cursor small txt-body  d-flex align-items-center" > 
              {% render 'icon-gift' %} <span> {{ 'cart.gift.title' | t }}</span>
              </div>
              <div class="boxgift block-addon__box--wrap" >
                <div class="boxgif__wrap d-flex flex-column align-items-center">
                  <svg aria-hidden="true" focusable="false" role="presentation" class="" viewBox="0 0 64 64"><defs><style>.a{fill:none;stroke:#000;stroke-width:2px}</style></defs><path class="a" d="M9 20.23h46v8.68H9zM13.34 28.91h36.89v24.3H13.34zM27.82 20.66v32.98M35.91 20.88v32.98M20.52 11.43a3.73 3.73 0 0 0-.74 2.87 4.57 4.57 0 0 0 .8 2.27C22 18.09 25.15 20 32 20.23a12 12 0 0 0-2.43-7 7.52 7.52 0 0 0-5.66-3.12 4 4 0 0 0-3.39 1.32z"/><path class="a" d="M43.37 11.43a3.73 3.73 0 0 1 .74 2.87 4.48 4.48 0 0 1-.8 2.27c-1.42 1.52-4.57 3.41-11.42 3.66a12.08 12.08 0 0 1 2.43-7A7.56 7.56 0 0 1 40 10.14a4 4 0 0 1 3.37 1.29z"/></svg>
                  <p class="font-family-2 mt-3 mb-4">{{ 'cart.gift.description' | t }} {{ product_gift.price | money }}</p>
                  <div class="d-flex justify-content-center align-items-center gap-3">
                    <a class="add-gift__btn add-gift btn btn-theme" href="{{ product_gift.url }}" data-id="{{ product_gift.selected_or_first_available_variant.id }}">
                      <div class="product-card__loading spinner-border" role="status"></div>
                      <span>{{ 'cart.gift.save' | t }}</span></a>
                    <button class="close-gift__btn btn link" >{{ 'cart.gift.close' | t }}</button>
                  </div>
                </div>
              </div>
            </div>
          {%- endif -%}
          {%- if settings.coupon_code_enable and template != 'cart' -%}
          <div class="block-coupon block-addon__box">
            <div class="small txt-body edit-discountcode font-family-2 d-flex align-items-center js-open-addon" title="{{ 'cart.general.coupon_title' | t }}">
            {% render 'icon-discount' %}
              <span>{{ 'cart.general.coupon_title' | t }}</span>
            </div>
            <discount-code class="open-add-on block-addon__box--wrap">
              {%- if settings.coupon_code_title != blank -%}
              <div id="list-coupon" class="mb-4 text-left">
                <div class="card-coupon">
                  <div class="card-header-coupon" id="headcoupon1">
                    <h6 class="mb-0">
                      <span class="heading-coupon collapsed d-flex align-items-center position-relative py-3" data-toggle="collapse" data-target="#coupon1" aria-expanded="false" aria-controls="coupon1">
                        {{ settings.coupon_code_title }}
                        <span class="coupon-icon">
                          <i class="icon-plus"></i>
                          </span>
                      </span>
                    </h6>
                  </div>
                  <div id="coupon1" class="collapse" aria-labelledby="headcoupon1" data-parent="#list-coupon">
                    <div class="pb-3">
                      {{ settings.coupon_code_content }}
                    </div>
                  </div>
                </div>
              </div>
            {%- endif -%}
            <div class="d-flex flex-column align-items-center">
              <div class=" mb-4 w-100 text-left">
                <label class="mb-3" for="discount-code-input">{{ 'cart.general.coupon_title' | t }}</label>
                <input class="form-control" type="text" id="discount-code-input" autocomplete="on" value="">
              </div>
              <div class="d-flex w-100 gap-3">
                <button id="apply-discount-btn" class="btn btn-theme btn-close-addon">{{ 'cart.general.save' | t }}</button>
                <button class="link discount-close btn btn-close-addon"> {{ 'cart.general.close' | t }}</button>
              </div>
            </div>
            </discount-code>
          </div>
          <script>
            class DiscountCode extends HTMLElement {
                constructor() {
                  super();
                  this.couponCodeValue = document.getElementById('discount-code-input'); 
                  this.btnApply = document.getElementById('apply-discount-btn');
                  this.checkCode();
                  this.btnApply.addEventListener('click', this.saveCode.bind(this));
                }
                checkCode(){
                  if (localStorage.getItem('couponCode')){
                    this.couponCodeValue.value = localStorage.getItem('couponCode');  
                    //this.couponCodeValue.classList.add('has-value');
                  }
                }
                saveCode(){
                  this.valCode = this.couponCodeValue.value;
                  localStorage.setItem('couponCode', this.valCode );
                  fetch(`/discount/${this.valCode}`)
                        .then((response) => response.text())
                        .then((responseText) => {
                    });
                }
              }
              customElements.define('discount-code', DiscountCode);
          </script>
        {%- endif -%}
          {%- if settings.shipping_calculator  and template != 'cart' -%}
            <div class="block-addon__box">
              <div class="small txt-body font-family-2 d-flex align-items-center js-open-addon" title="{{ 'cart.general.calc_title' | t }}">
                {% render 'icon-shipping' %}
                <span>{{ 'cart.general.calc_title' | t }}</span>
              </div>
                <div class="open-add-on block-addon__box--wrap" >
                {% render 'shipping-calc' %}
              </div>
            </div>
          {%- endif -%}
        </div>
        <div class="bottom-total">
          {{ 'cart.label.total' | t }}: <span class="js-cart-total">{{ cart.total_price | money }}</span>
        </div>
      </div>
      
      <div class="mini-cart-taxes">
        {{ 'cart.general.taxes_and_shipping_at_checkout' | t }}
      </div>
      <div class="mini-cart-btns mt-4 d-flex align-items-stretch">
        <a class="btn btn-outline js-cart-btn-cart w-50 mr-2 d-flex align-items-center justify-content-center" href="{{ routes.cart_url }}" style="text-transform: uppercase;">{{ 'cart.general.view' | t }}</a>
        
        <div class="w-50 ml-2 {% if cart.item_count == 0 %} disabled{% endif %}">
          <!-- BOUTON RELEASIT OFFICIEL (HTML IDENTIQUE) QUI INTERCEPTE LE CLIC -->
          <a href="/checkout" style="background: #1D5C8C !important; color: rgba(255,255,255,1) !important; border-radius: 50px !important; border: 0px solid rgba(0,0,0,1) !important; box-shadow: 0 2px 7px 0px rgba(0, 0, 0, 0.1) !important; font-size: calc(1 * 14px) !important; width: 100%; height: 100%; display: flex; align-items: center; justify-content: center; text-decoration: none;" class="_rsi-buy-now-button" data-animation-type="none">
            <span style="text-transform: uppercase; font-weight: bold;">Acheter</span>
            <svg xmlns="http://www.w3.org/2000/svg" width="20px" viewBox="0 0 24 24" style="margin-left: 6px;" class="_rsi-button-icon _rsi-button-icon-left" fill="rgba(255,255,255,1)"><path d="M0 0h24v24H0V0z" fill="none"></path><g><rect fill="none" height="24" width="24"></rect><path d="M18,6h-2c0-2.21-1.79-4-4-4S8,3.79,8,6H6C4.9,6,4,6.9,4,8v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V8C20,6.9,19.1,6,18,6z M12,4c1.1,0,2,0.9,2,2h-4C10,4.9,10.9,4,12,4z M18,20H6V8h2v2c0,0.55,0.45,1,1,1s1-0.45,1-1V8h4v2c0,0.55,0.45,1,1,1s1-0.45,1-1V8 h2V20z"></path></g></svg>
          </a>
        </div>
      </div>

      {%- if settings.safe_checkout_pcart != blank -%}
      <div class="mini-cart-safe-checkout">
        <img class="lazyload" loading="lazy" width="{{ settings.safe_checkout_pcart.width }}" 
          height="{{ settings.safe_checkout_pcart.height }}"
          src="{{ settings.safe_checkout_pcart | image_url: width: 1, height: 1 }}"
          data-src="{{ settings.safe_checkout_pcart | image_url: width: 500 }}"/>
      </div>
      {%- endif -%}
    </footer>
</div>
  <div class="overlaycart">
  </div>


  <div class="mini-cart-taxes">
    {{ 'cart.general.taxes_and_shipping_at_checkout' | t }}
  </div>
  <div class="mini-cart-btns mt-4 d-flex align-items-stretch">
    <a class="btn btn-outline js-cart-btn-cart w-50 mr-2 d-flex align-items-center justify-content-center" href="{{ routes.cart_url }}" style="text-transform: uppercase;">{{ 'cart.general.view' | t }}</a>
    
    <div class="w-50 ml-2 {% if cart.item_count == 0 %} disabled{% endif %}">
      <!-- BOUTON RELEASIT OFFICIEL (HTML IDENTIQUE) QUI INTERCEPTE LE CLIC -->
      <a href="/checkout" style="background: #1D5C8C !important; color: rgba(255,255,255,1) !important; border-radius: 50px !important; border: 0px solid rgba(0,0,0,1) !important; box-shadow: 0 2px 7px 0px rgba(0, 0, 0, 0.1) !important; font-size: calc(1 * 14px) !important; width: 100%; height: 100%; display: flex; align-items: center; justify-content: center; text-decoration: none;" class="_rsi-buy-now-button" data-animation-type="none">
        <span style="text-transform: uppercase; font-weight: bold;">Acheter</span>
        <svg xmlns="http://www.w3.org/2000/svg" width="20px" viewBox="0 0 24 24" style="margin-left: 6px;" class="_rsi-button-icon _rsi-button-icon-left" fill="rgba(255,255,255,1)"><path d="M0 0h24v24H0V0z" fill="none"></path><g><rect fill="none" height="24" width="24"></rect><path d="M18,6h-2c0-2.21-1.79-4-4-4S8,3.79,8,6H6C4.9,6,4,6.9,4,8v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V8C20,6.9,19.1,6,18,6z M12,4c1.1,0,2,0.9,2,2h-4C10,4.9,10.9,4,12,4z M18,20H6V8h2v2c0,0.55,0.45,1,1,1s1-0.45,1-1V8h4v2c0,0.55,0.45,1,1,1s1-0.45,1-1V8 h2V20z"></path></g></svg>
      </a>
    </div>
  </div>

  {%- if settings.safe_checkout_pcart != blank -%}
  <div class="mini-cart-safe-checkout">
    <img class="lazyload"
       width="{{ settings.safe_checkout_pcart.width }}"
       height = "{{ settings.safe_checkout_pcart.height }}"
       loading="lazy"
       src="{{ settings.safe_checkout_pcart | image_url: width: 1, height: 1 }}"
       data-src="{{ settings.safe_checkout_pcart | image_url: width: 500 }}"/>
  </div>
  {%- endif -%}
</div>
